Cannot upgrade server snap from 3.16.4 to 4.3.2

Description

Hello, I am facing an issue to upgrade rocketchat-server snap from 3.16.4 to latest to date 4.3.2

The server is not connected to the internet, so I downloaded snap and assert files from another server, and then I do the following :

Snap ack rocketchat-server_1510.assert
Snap install rocketchat-server_1510.snap

error: cannot install snap file : cannot refresh “rocketchat-server” to new revision 1510 with epoch 6, because it can’t read the current epoch of 0

Side note : I did upgrade successfully with other versions, until today

Thanks :slight_smile:

Server Setup Information

  • Version of Rocket.Chat Server: 3.16.4
  • Operating System: Ubuntu 20.04.2 lts
  • Deployment Method: offline snap download then snap install
  • Number of Running Instances: 1
  • DB Replicaset Oplog:
  • NodeJS Version: 12.22.1
  • MongoDB Version: 3.6.14
  • Proxy: caddy

Update : I managed to upgrade to 4.1.2, by upgrading to latest 3.x = 3.18.3

But now, I am trying to upgrade to 4.3.2, and I get this message :
Cannot refresh to new revision 1510 with epoch 6, because it can’t read the current epoch of 2*